<html>

<head>
<meta http-equiv="Content-Language" content="en-us">
<meta name="GENERATOR" content="Microsoft FrontPage 5.0">
<meta name="ProgId" content="FrontPage.Editor.Document">
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>Paleographical Tool TM 1</title>
<style>
<!--
h2           { color: #000080 }
h1           { color: #FF0000; font-family: Times New Roman (serif); text-align: center; 
               font-size: 18pt; font-weight: bold }
-->
</style>
</head>

<body>

<h1><a name="howto">Overlay plug-in <sup>TM</sup> 1.0</a></h1>
<h1>- Config</h1>
<h2><font size="3" color="#000000">In the following session, we will show how to 
configure overlay plug-in GUI.</font></h2>
<ul>
  <li><a href="#overview">Overview</a><ul>
  <li><a href="#4programmer">For programmer</a></li>
</ul>
  </li>
  <li><a href="#config_toolbar">Configure the toolbar buttons </a>
    <ul>
      <li><a href="#open_option_dlg">Open option dialog</a></li>
      <li><font face="Times New Roman"><a href="#change_button">Change buttons</a></font></li>
      <li><font face="Times New Roman"><a href="#change_order">Change button 
      order</a></font></li>
      <li><font face="Times New Roman"><a href="#change_default">Using default 
      setting</a></font></li>
    </ul>
  </li>
</ul>
<p>&nbsp;</p>
<h2><font face="Times New Roman"><a name="overview">Overview</a></font></h2>
<p>The main GUI of Overlay plug-in is a view. It has a local toolbar and menu 
bar. The toolbar is most commonly used, so it should be configurable. For 
example, the following two toolbars can be configured using overlay plug-in:</p>
<blockquote>
<p>Default configured toolbar:
<img border="0" src="../images/def_toolbar.jpg" width="289" height="22"></p>
<p>Custom configured toolbar:
<img border="0" src="../images/custom_toolbar.jpg" width="289" height="22"></p>
</blockquote>
<p>For overlay plug-in, you can not only add or remove the buttons to the 
toolbar, but also change the order of the buttons.</p>
<h2><a name="4programmer">For programmer</a></h2>
<p>The basic idea here is OverLay plug-in maintain three configure files:</p>
<ul>
  <li>&quot;<b><i>config/toolbar.xml</i></b>&quot;: save the toolbar button setting.</li>
  <li>&quot;<b><i>config/toolbar_default.xml</i></b>&quot;: save the default toolbar 
  button setting.</li>
  <li>&quot;<b><i>config/toolbar.dtd</i></b>&quot;: validate the toolbar.xml file and 
  toolbar_default.xml file.</li>
</ul>
<p>plus the <b><i>plugin.properties</i></b> file. By saving and retrieving the 
button configuration information, you can dynamically change the toolbar 
settings.</p>
<h2><font face="Times New Roman"><a name="config_toolbar">Configure the toolbar 
buttons</a></font></h2>
  <h3><font face="Times New Roman">1) <a name="open_option_dlg">Open the option 
  dialog</a></font></h3>
<p>To configure the toolbar buttons, you should first open the OverLay option 
dialog by choosing the option
<img border="0" src="../images/option16.gif" width="16" height="16"> menu item 
from the local menu bar:</p>
<blockquote>
<p><img border="0" src="../images/open_option_dlg.jpg" width="588" height="120"></p>
  <blockquote>
<p>Figure 1 Open option dialog from local menu bar</p>
  </blockquote>
</blockquote>
<p>The default tab of the dialog is &quot;overlay&quot; for configure the overlay 
parameters as following:</p>
<blockquote>
<p><img border="0" src="../images/option_dlg_tab1.jpg" width="600" height="400"></p>
  <blockquote>
<p>Figure 2 The option dialog</p>
  </blockquote>
</blockquote>
<p>Here we need to choose the &quot;<b>toolbar</b>&quot; tab to change the toolbar buttons 
combination: </p>
<blockquote>
<p><img border="0" src="../images/option_dlg_tab2.jpg" width="600" height="400"></p>
  <blockquote>
<p>Figure 3 The toolbar configuration tab of option dialog</p>
  </blockquote>
</blockquote>
<p>The buttons on the left panel are buttons available but currently not on the 
view's toolbar. The buttons on the right panel are the buttons which are 
currently shown on the view's toolbar. The five control buttons on the middle 
are:</p>
<blockquote>
<p><img border="0" src="../images/forward16.gif" width="16" height="16">: move 
selected buttons from the left to the right.</p>
<p><img border="0" src="../images/back16.gif" width="16" height="16">: move 
selected buttons from the right to the left.</p>
<p><img border="0" src="../images/up16.gif" width="16" height="16">: move 
selected buttons up.</p>
<p><img border="0" src="../images/down16.gif" width="16" height="16">: move 
selected buttons down.</p>
<p>Def: restore the default setting.</p>
</blockquote>
  <h3><font face="Times New Roman">2) <a name="change_button">Change buttons</a></font></h3>
  <p>To change the buttons, you must first select the buttons you want to add or 
  remove, then press the add
  <img border="0" src="../images/forward16.gif" width="16" height="16">or remove
  <img border="0" src="../images/back16.gif" width="16" height="16"> button.</p>
  <blockquote>
  <p>
  <img border="0" src="../images/option_dlg_add.jpg" width="600" height="400"></p>
    <blockquote>
  <p>Figure 4 Add selected buttons to the toolbar</p>
    </blockquote>
</blockquote>
  <h3><font face="Times New Roman">3) <a name="change_order">Change buttons 
  order</a></font></h3>
  <p>To change the buttons, you must first select the buttons you want to change 
  the order,&nbsp; then press the up
  <img border="0" src="../images/up16.gif" width="16" height="16"> or down
  <img border="0" src="../images/down16.gif" width="16" height="16"> button.</p>
  <blockquote>
  <p><img border="0" src="../images/option_dlg_up.jpg" width="600" height="400"></p>
    <blockquote>
  <p>Figure 5 Change the order of selected toolbar buttons</p>
    </blockquote>
</blockquote>
  <h3><font face="Times New Roman">4) <a name="change_default">Using default 
  setting</a></font></h3>
  <p>To use the default settings, you can press the &quot;Def&quot; button, then the 
  toolbar setting will be restored to the default.</p>
  <blockquote>
  <p>
  <img border="0" src="../images/option_dlg_default.jpg" width="600" height="400"></p>
    <blockquote>
  <p>Figure 6 Restore to the default toolbar button settings</p>
    </blockquote>
</blockquote>

</body>

</html>